[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: nagios-plugins build failure



Mike McGrath wrote:
> On Fri, 22 Feb 2008, Michael Thomas wrote:
> 
>> I tried a mock build of nagios-plugins for epel5 to test some local patches
>> that we're developing, and had the following error:
>>
>> ERROR:
>> Exception(/space/src/fedora/nagios-plugins/EL-5/nagios-plugins-1.4.10-4.el5.1.src.rpm)
>> Config(epel-5-i386) 0 minutes 26 seconds
>> INFO: Results and/or logs in: /space/rpmbuild/mock/epel5/RPMS/i386/
>> ERROR: Bad build req: No Package Found for perl(Net::SNMP). Exiting.
>>
>> Indeed, I can't find perl-Net-SNMP in the master repos at
>> http://download.fedora.redhat.com/pub/epel/5/i386/, nor is it available on my
>> RHEL5 systems via yum.
>>
> 
> The rpms that ship EPEL-5 don't include any plugins that require
> perl-net-snmp to build IIRC.

Yes, it seems that the EPEL-5 CVS for nagios-plugins has had some
updates since the last time it was built, including the added
'BuildRequires: perl(Net::SNMP)'.  I was able to build it with no
problems after removing this errant BuildRequires.

--Wart


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]